OpenTTD Source: AirportTileAnimationBase Struct Reference

OpenTTD Source 15.3

Static Public Attributes
AirportTileAnimationBase Struct Reference

Helper class for animation control. More...

Inheritance diagram for AirportTileAnimationBase:

## Static Public Attributes
static constexpr CallbackID | cb_animation_speed = CBID_AIRPTILE_ANIMATION_SPEED
static constexpr CallbackID | cb_animation_next_frame = CBID_AIRPTILE_ANIMATION_NEXT_FRAME
static constexpr AirportTileCallbackMask | cbm_animation_speed = AirportTileCallbackMask::AnimationSpeed
static constexpr AirportTileCallbackMask | cbm_animation_next_frame = AirportTileCallbackMask::AnimationNextFrame

## Additional Inherited Members
Static Public Member Functions inherited from AnimationBase< AirportTileAnimationBase, AirportTileSpec, Station, int, GetSimpleAirportTileCallback, TileAnimationFrameAnimationHelper< Station > >
static void | AnimateTile (const AirportTileSpec *spec, Station *obj, TileIndex tile, bool random_animation, int extra_data=0)
| Animate a single tile.
static void | ChangeAnimationFrame (CallbackID cb, const AirportTileSpec *spec, Station *obj, TileIndex tile, uint32_t random_bits, uint32_t trigger, int extra_data=0)
| Check a callback to determine what the next animation step is and execute that step.

## Detailed Description

Helper class for animation control.

Definition at line 292 of file newgrf_airporttiles.cpp.

## Field Documentation

## ◆ cb_animation_next_frame

constexpr CallbackID AirportTileAnimationBase::cb_animation_next_frame = CBID_AIRPTILE_ANIMATION_NEXT_FRAME
| staticconstexpr

Definition at line 294 of file newgrf_airporttiles.cpp.

## ◆ cb_animation_speed

constexpr CallbackID AirportTileAnimationBase::cb_animation_speed = CBID_AIRPTILE_ANIMATION_SPEED
| staticconstexpr

Definition at line 293 of file newgrf_airporttiles.cpp.

## ◆ cbm_animation_next_frame

constexpr AirportTileCallbackMask AirportTileAnimationBase::cbm_animation_next_frame = AirportTileCallbackMask::AnimationNextFrame
| staticconstexpr

Definition at line 297 of file newgrf_airporttiles.cpp.

## ◆ cbm_animation_speed

constexpr AirportTileCallbackMask AirportTileAnimationBase::cbm_animation_speed = AirportTileCallbackMask::AnimationSpeed
| staticconstexpr

Definition at line 296 of file newgrf_airporttiles.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_airporttiles.cpp